function sendAction(action) {
    fetch(`/api/${action}`, {
        method: 'POST',
        headers: { 'Content-Type': 'application/json' },
        body: JSON.stringify({ username })
    }).then(r => r.json()).then(console.log);
}

function deleteServer() {
    if (!confirm("Na pewno chcesz usunąć swój serwer? Tej operacji nie można cofnąć!")) return;
    fetch('/api/delete', {
        method: 'POST',
        headers: { 'Content-Type': 'application/json' },
        body: JSON.stringify({ username })
    })
    .then(res => res.ok ? res.json() : res.text().then(t => { throw new Error(t); }))
    .then(data => { alert(data.message); location.reload(); })
    .catch(err => { alert("Błąd usuwania serwera."); console.error(err); });
}